import { AbstractGeoTable } from './AbstractGeoTable';
import { Table } from '../../../types';
import { Track } from './GeoTable';
export declare class NativeGeoTable extends AbstractGeoTable {
    table: Table;
    maxRows: number;
    constructor(table: Table, maxRows: number);
    getRowCount(): number;
    getValue(index: number, field: string): number;
    getS2CellID(index: number): string;
    isTruncated(): boolean;
    mapTracks<T, U>(mapper: (track: Track, options: U, index: number) => T, options: U): T[];
}
